//test INPUT (measure light with photodetector, if higher than a threshold turn on signal led)

#define photodet PB3  //assign 'photodet' name to PB3 (photodetector)
#define sgnled PB4    //assign 'sgnled' name to P4 (signal led)

int pdval = 0;      //value read by the photodetector (initialized to 0)
int sled = 0;       //control value for the signal led (0=OFF)
int lightthr = 400; //threshold of pdval to activate the signal (this needs to e tuned!!!)

void setup() {
  // put your setup code here, to run once:
 pinMode(PB3,INPUT);  //PB3 is the photodetector as input
 pinMode(PB4,OUTPUT); //PB4 is the signal led as output
 digitalWrite(sgnled,LOW); //make sure the led is off
}



void loop() {
  // put your main code here, to run repeatedly:
  pdval = analogRead(photodet); //read the value of the photodetector

  if (pdval > lightthr && sled == 0) { //if the value is above threshold (dark) and the signal led was off

      digitalWrite(sgnled,HIGH);  //turn on the signal led
      sled = 1; }                 //update the control value of the signal led
    
    else if (pdval < lightthr && sled == 1) { //else if the value is below thresholf (light) and the led was on
    
      digitalWrite(sgnled,LOW);   //turn off the signal led
      sled = 0;}                  //update the control value of the signal led
  }
